Loading...
Searching...
No Matches
BamTools::Algorithms::Sort::Unsorted Struct Reference

Placeholder function object. More...

`#include <Sort.h>`

## Public Member Functions

bool | operator() (const BamTools::BamAlignment &, const BamTools::BamAlignment &) const

## Detailed Description

Placeholder function object.

This function object exists purely to allow for dropping a "do not care" ordering into methods, containers, etc that are designed to work with the other sorting objects.

std::set<BamAlignment, Sort::ByName>; // STL set, ordered on alignment name
std::set<BamAlignment, Sort::Unsorted>; // STL set, unsorted (but probably insertion order)

## Member Function Documentation

## operator()()

bool BamTools::Algorithms::Sort::Unsorted::operator() | ( | const BamTools::BamAlignment & | ,
|  | const BamTools::BamAlignment & | ) const

inline

The documentation for this struct was generated from the following file:

- Sort.h